#
# spec file for package perl-PPI
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-PPI
Version:        1.220
Release:        3.5
%define cpan_name PPI
Summary:        Parse, Analyze and Manipulate Perl (without perl)
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/PPI/
Source0:        http://www.cpan.org/authors/id/M/MI/MITHALDU/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Inspector) >= 1.22
BuildRequires:  perl(Clone) >= 0.30
BuildRequires:  perl(File::Remove) >= 1.42
#BuildRequires:  perl(File::Spec) >= 3.2701
BuildRequires:  perl(IO::String) >= 1.07
BuildRequires:  perl(List::MoreUtils) >= 0.16
BuildRequires:  perl(List::Util) >= 1.20
BuildRequires:  perl(Params::Util) >= 1.00
BuildRequires:  perl(Storable) >= 2.17
BuildRequires:  perl(Task::Weaken)
BuildRequires:  perl(Test::More) >= 0.86
BuildRequires:  perl(Test::NoWarnings) >= 0.084
BuildRequires:  perl(Test::Object) >= 0.07
BuildRequires:  perl(Test::SubCalls) >= 1.07
Requires:       perl(Clone) >= 0.30
#Requires:       perl(File::Spec) >= 3.2701
Requires:       perl(IO::String) >= 1.07
Requires:       perl(List::MoreUtils) >= 0.16
Requires:       perl(List::Util) >= 1.20
Requires:       perl(Params::Util) >= 1.00
Requires:       perl(Storable) >= 2.17
Requires:       perl(Task::Weaken)
%{perl_requires}

%description
Parse, Analyze and Manipulate Perl (without perl)

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README README.md

%changelog
* Wed Apr 29 2015 coolo@suse.com
- ignore File::Spec - it's tricky
* Wed Apr 29 2015 coolo@suse.com
- updated to 1.220
  see /usr/share/doc/packages/perl-PPI/Changes
  1.220 Tue 11 Nov 2014
  Summary:
  - incompatible behavior fixes on PPI::Statement::Sub->prototype
  - improved parsing of various syntax elements
  - code quality improvements
  - various small documentation fixes
  Details:
  - {} is now recognized as anonymous hash constructor instead of a code
  block after these operators: &&= //= || && // ? :
  (GitHub #36) (MOREGAN)
  - regex capture variables greater than $9 are now parsed completely,
  instead of being parsed as single digit captures with numbers after
  them (GitHub #38) (MOREGAN)
  - DESTROY and AUTOLOAD subs are now parsed even without the sub
  keyword (GitHub #39) (MOREGAN)
  - PPI::Statement::Sub->prototype behavior now matches its
  documentation, instead of returning the prototype string
  unchanged and still including the parens (GitHub #56) (MOREGAN)
  - PPI::Statement::Sub->prototype now returns undef on subs without a
  prototype, instead of returning an empty string
  (GitHub #56) (MOREGAN)
  - list of keywords which are not parsed as packages when followed by
  the Perl4 package separator ' has been increased
  (GitHub #77) (MOREGAN)
  - application of a number of Perl::Critic policies and documentation
  fixes (GitHub #53) (MOREGAN, MITHALDU)
  - automation of README.md generation for git (GitHub #86) (COWENS)
  - various small documentation fixes (Github #96) (MOREGAN)
* Mon Sep 15 2014 coolo@suse.com
- updated to 1.218
    Summary:
  - Fixes for various parsing and documentation bugs
  - 1MB limit on input document size removed
  - Moved repository to GitHub: https://github.com/adamkennedy/PPI
    Details:
  - Stop directing bugs to rt.cpan.org (GitHub #40) (MOREGAN)
  - Fix documentation reference to List::Util (RT #75308) (RWSTAUNER)
  - Improve scalability of parsing long lines, and remove the size
    limit on documents PPI will parse (GitHub #5) (MITHALDU)
  - Speed up adding an element to an unlabeled statement.
    Allow inlining of some methods. (WOLFSAGE)
  - Expanded test coverage (DOLMEN, MOREGAN)
  - Convert inline tests to standalone tests (GitHub #12) (MOREGAN)
  - Fix for '1=>x' being parsed as x operator (GitHub #46) (MOREGAN)
  - Recognize that '1 x3' is the x operator followed by a 3
    (RT #37892, GitHub #27) (MOREGAN)
  - Support all augmented assignment operators (<<=, ||=, etc.)
    (RT #68176, 71705) (MOREGAN)
  - Stop upper-case "=CUT" from terminating POD (RT #75039) (JAE)
  - Support upper-case digits in hex and binary numbers, including
    in the leading '0X' and '0B'. (RT #36540) (KRYDE, MOREGAN)
  - Fix float argument to range operator misparsed as version
    string (RT #45014) (MOREGAN)
  - Fix POD markup in PPI::Find (RT #51693) (FWIE)
  - Fix spelling of "Tom Christiansen" (RT #67264) (TADMC)
  - Fix a large raft of spelling and grammar errors (RT #85049) (David
    Steinbrunner, DOLMEN, MOREGAN)
  - Fix errors in documentation of the PPI::Element class hierarchy
    (RT #30863, 69026) (SJQUINNEY)
  - Prevent PPI::XSAccessor packages from hiding corresponding PPI
    packages in CPAN (RT #90792) (MITHALDU)
  - Recognize the formfeed character as whitespace (RT #67517) (WYANT)
  - Recognize regex match following 'return' (RT #27475) (ADAMK)
  - Fix missing dereference, length called on reference (RT #40103)
    (ADAMK)
* Thu Mar 31 2011 coolo@novell.com
  * update to 1.215
  - Confirmed new Perl::Critic works with 1.214_02, so we
    can release a new PPI now.
  - Updated copyright year to 2011 (ADAMK)
  - Fixed RT #64247 bless {} probably contains a hash constructor (WYANT)
  - Backed out glob fix (WYANT)
  - Fixed RT #65199 Cast can trump braces in
    PPI::Token::Symbol->symbol (WYANT)
  - index_locations on an empty document no longer warns (WYANT)
  - Corrected a bug in line-spanning attribute support (WYANT)
  - Regression test for line-spanning attribute support (ADAMK)
  - Fixed #61305 return { foo => 1 } should parse curlys as hash
    constructor, not block (WYANT)
  - Fixed #63943 map and regexp confuse PPI? (ADAMK)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul 13 2010 chris@computersalat.de
  update to 1.213
  o for a full list see Changes file
- recreated by cpanspec 1.78
* Wed Oct 21 2009 rschweikert@novell.com
- Initial build
